import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { PatientsRoutingModule } from './patients-routing.module';
import { AllPatientsComponent } from './all-patients/all-patients.component';
import { PatientRecordComponent } from './patient-record/patient-record.component';
import { TableModule } from 'primeng/table';
import { IconFieldModule } from 'primeng/iconfield';
import { InputIconModule } from 'primeng/inputicon';
import { FormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { PaginatorModule } from 'primeng/paginator';
import { DialogModule } from 'primeng/dialog';
import { DropdownModule } from 'primeng/dropdown';
import { FileUploadModule } from 'primeng/fileupload';
import { CalendarModule } from 'primeng/calendar';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [AllPatientsComponent, PatientRecordComponent],
  imports: [
    CommonModule,
    PatientsRoutingModule,
    TableModule,
    InputIconModule,
    IconFieldModule,
    FormsModule,
    InputTextModule,
    PaginatorModule,
    DialogModule,
    DropdownModule,
    FileUploadModule,
    CalendarModule,
    SharedModule
  ],
})
export class PatientsModule {}
