import type { Gender } from '../../global-enum/gender.enum';
import type { Status } from '../../global-enum/status.enum';

export interface CreateUpdatePatientDto {
  id?: string;
  name?: string;
  gender: Gender;
  mobile?: string;
  email?: string;
  age: number;
  treatment?: string;
  doctorAssigned?: string;
  address?: string;
  bloodGroup?: string;
  admissionDate?: string;
  dischargeDate?: string;
  status: Status;
}

export interface CreateUpdatePatientRecordDto {
  id?: string;
  patientId?: string;
  dateOfAdmission?: string;
  labReportUrl?: string;
  medicationUrl?: string;
  medicationHistoryUrl?: string;
  nextFollowUp?: string;
  diagnosis?: string;
  treatmentPlan?: string;
  doctorNotes?: string;
  insuranceProvider?: string;
  status: Status;
}

export interface PatientDto {
  id?: string;
  name?: string;
  gender: Gender;
  mobile?: string;
  email?: string;
  age: number;
  treatment?: string;
  doctorAssigned?: string;
  address?: string;
  bloodGroup?: string;
  admissionDate?: string;
  dischargeDate?: string;
  status: Status;
}

export interface PatientRecordDto {
  id?: string;
  patientId?: string;
  patients: PatientDto;
  dateOfAdmission?: string;
  diagnosis?: string;
  treatmentPlan?: string;
  doctorNotes?: string;
  labReportUrl?: string;
  medicationUrl?: string;
  medicationHistoryUrl?: string;
  nextFollowUp?: string;
  insuranceProvider?: string;
  status: Status;
}
