﻿using Microsoft.Extensions.Localization;
using HospitalManagementSystem.Localization;
using Volo.Abp.DependencyInjection;
using Volo.Abp.Ui.Branding;

namespace HospitalManagementSystem.Blazor.WebApp.Client;

[Dependency(ReplaceServices = true)]
public class HospitalManagementSystemBrandingProvider : DefaultBrandingProvider
{
    private IStringLocalizer<HospitalManagementSystemResource> _localizer;

    public HospitalManagementSystemBrandingProvider(IStringLocalizer<HospitalManagementSystemResource> localizer)
    {
        _localizer = localizer;
    }

    public override string AppName => _localizer["AppName"];
}
