﻿using HospitalManagementSystem.GlobalEnum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities.Auditing;

namespace HospitalManagementSystem.Patients
{
    public class Patient : AuditedAggregateRoot<Guid>
    {
        [Required]
        public string Name { get; set; }
        [Required]
        public Gender Gender { get; set; }
        [Required]
        public string Mobile { get; set; }
        [Required]
        public string Email { get; set; }
        [Required]
        public int Age { get; set; }
        public string Treatment { get; set; }
        public string DoctorAssigned { get; set; }
        [Required]
        public string Address { get; set; }
        [Required]
        public string BloodGroup { get; set; }
        public DateTime AdmissionDate { get; set; }
        public DateTime? DischargeDate { get; set; }
        [Required]
        public Status Status { get; set; }
    }
}

