﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Volo.Abp.Domain.Entities.Auditing;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using HospitalManagementSystem.GlobalEnum;
using System.ComponentModel.DataAnnotations.Schema;

namespace HospitalManagementSystem.Patients
{
    public class PatientRecord : AuditedAggregateRoot<Guid>
    {
        //[Required]
        //public string FullName { get; set; }

        //[Required]
        //public string Mobile { get; set; }

        //[Required]
        //public Gender Gender { get; set; }
        public virtual Patient Patients { get; set; }

        [Required]
        public DateTime DateOfAdmission { get; set; }

        public string Diagnosis { get; set; }

        public string TreatmentPlan { get; set; }

        public string DoctorNotes { get; set; }

        public string? LabReportUrl { get; set; }

        public string? MedicationUrl { get; set; }

        public string? MedicationHistoryUrl { get; set; }

        public DateTime? NextFollowUp { get; set; }

        public string InsuranceProvider { get; set; }

        [Required]
        public Status Status { get; set; }
    }

}
